# osgplanets.cpp File Reference

`#include <iostream>`
`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/Geometry>`
`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/Texture2D>`
`#include <osg/Material>`
`#include <osg/Light>`
`#include <osg/LightSource>`
`#include <osg/LightModel>`
`#include <osg/Billboard>`
`#include <osg/LineWidth>`
`#include <osg/TexEnv>`
`#include <osg/TexEnvCombine>`
`#include <osg/ClearNode>`
`#include <osgUtil/Optimizer>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgGA/NodeTrackerManipulator>`
`#include <osgGA/TrackballManipulator>`
`#include <osgGA/FlightManipulator>`
`#include <osgGA/DriveManipulator>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgplanets.cpp:

## Functions

osg::Drawable * | createSquare (const osg::Vec3 &corner, const osg::Vec3 &width, const osg::Vec3 &height, osg::Image *image=NULL)
| create quad at specified position.
osg::Image * | createBillboardImage (const osg::Vec4 &centerColour, unsigned int size, float power)
osg::AnimationPath * | createAnimationPath (const osg::Vec3 &center, float radius, double looptime)
int | main (int argc, char **argv)

## Function Documentation

osg::AnimationPath* createAnimationPath | ( | const osg::Vec3 & | center,
|  | float | radius,
|  | double | looptime
| ) |

osg::Image* createBillboardImage | ( | const osg::Vec4 & | centerColour,
|  | unsigned int | size,
|  | float | power
| ) |

osg::Drawable* createSquare | ( | const osg::Vec3 & | corner,
|  | const osg::Vec3 & | width,
|  | const osg::Vec3 & | height,
|  | osg::Image * | image = `NULL`
| ) |

| create quad at specified position.

int main | ( | int | argc,
|  | char ** | argv
| ) |